"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_u_navbar2 = common_vendor.resolveComponent("u-navbar");
  _easycom_u_navbar2();
}
const _easycom_u_navbar = () => "../../../node-modules/uview-plus/components/u-navbar/u-navbar.js";
if (!Math) {
  _easycom_u_navbar();
}
const _sfc_main = {
  __name: "logFile",
  setup(__props) {
    const data = common_vendor.reactive({
      logs: null,
      fullHeight: "1920px",
      screenHeight: 1920
    });
    common_vendor.onLoad((options) => {
      showLog(options.file);
    });
    common_vendor.onMounted(() => {
      data.screenHeight = common_vendor.index.getSystemInfoSync().windowHeight;
    });
    function showLog(file) {
      common_vendor.wx$1.downloadFile({
        url: file,
        success: function(res) {
          const filePath = res.tempFilePath;
          data.logs = common_vendor.wx$1.getFileSystemManager().readFileSync(filePath, "utf-8");
        }
      });
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(_ctx.rightClick),
        b: common_vendor.p({
          title: "日志文件",
          titleStyle: "color:#fff;fontSize:36rpx;",
          bgColor: "#2C6FF3",
          autoBack: true,
          leftIconColor: "#fff",
          placeholder: true
        }),
        c: common_vendor.t(data.logs)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ab0140da"], ["__file", "F:/兴元/开门柜项目/平台端管理系统小程序/src/pages/xy_system/logs/logFile.vue"]]);
wx.createPage(MiniProgramPage);
